Difference between revisions of "Main Page"

From Keystone Help Wiki!
Jump to: navigation, search
 
Line 43: Line 43:
 
-->  
 
-->  
 
=Software Updates=
 
=Software Updates=
'''[[New Keystone Releases|Latest Release]] 3.5.10'''  (2/15/2019)
+
'''[[New Keystone Releases|Latest Release]] 3.6'''  (8/30/2019)
 +
<p><b>Keystone 3.6 uses more database connections than previous releases. If you receive an error message saying "No pooled database connections available" please contact support for assistance.</b></p>
 +
<!--  (Uncomment and update this for end of year payroll)
 
<p><b>Payroll customers on version 3.5.5 who cannot print paychecks should update to version 3.5.10 as soon as possible.</b></p>
 
<p><b>Payroll customers on version 3.5.5 who cannot print paychecks should update to version 3.5.10 as soon as possible.</b></p>
 
<p><b><I>All payroll customers should update to version 3.5.6 or higher prior to printing/e-filing W-2 forms.</i></b></p>
 
<p><b><I>All payroll customers should update to version 3.5.6 or higher prior to printing/e-filing W-2 forms.</i></b></p>
 
<p><b>We recommend that customers currently using Keystone 3.x update to version 3.5.10 as soon as possible.</b></p>
 
<p><b>We recommend that customers currently using Keystone 3.x update to version 3.5.10 as soon as possible.</b></p>
 +
-->
 
<!--
 
<!--
 
<p><b>Customers using Keystone to generate A/P and/or Payroll ACH files should update to the latest Keystone version as soon as possible.</b></p>
 
<p><b>Customers using Keystone to generate A/P and/or Payroll ACH files should update to the latest Keystone version as soon as possible.</b></p>
 
-->  
 
-->  
 
 
<!--
 
<!--
 
<p>This version supports our new [[W-2 Filing Web Service]].</p>
 
<p>This version supports our new [[W-2 Filing Web Service]].</p>
Line 59: Line 61:
 
-->
 
-->
 
<p>''NOTE: This version requires Windows 7/Windows Server 2008 or higher -and- InterBase XE Update 5 or higher. If your system does not meet these requirements, please inform GivenHansco support immediately so that we can place an update hold preventing accidental installation of the update.''</p>
 
<p>''NOTE: This version requires Windows 7/Windows Server 2008 or higher -and- InterBase XE Update 5 or higher. If your system does not meet these requirements, please inform GivenHansco support immediately so that we can place an update hold preventing accidental installation of the update.''</p>
 
+
<!--  (Uncomment and update this for end of year)
 
 
 
'''[[Year End|Year End 2018]]''' Please check this page for updates on Keystone versions and year end.
 
'''[[Year End|Year End 2018]]''' Please check this page for updates on Keystone versions and year end.
 +
-->
  
=Keystone 3.5 is here!=
+
=Keystone 3.6 is here!=
  
Please read below for updated system requirements for Keystone 3.5.  
+
Please read below for updated system requirements for Keystone 3.6.  
  
 
===Web Browser===
 
===Web Browser===
Keystone Dispatch 3.5 requires a modern web browser to function properly. All computers running Keystone Dispatch must have one of the following web browsers installed:
+
Keystone Dispatch 3.6 requires a modern web browser to function properly. All computers running Keystone Dispatch must have one of the following web browsers installed:
 
* Microsoft Edge (Windows 10)
 
* Microsoft Edge (Windows 10)
 
* Microsoft Internet Explorer 11 (Windows 7 and higher) ([https://support.microsoft.com/en-us/help/17621/internet-explorer-downloads click here to download Internet Explorer 11])
 
* Microsoft Internet Explorer 11 (Windows 7 and higher) ([https://support.microsoft.com/en-us/help/17621/internet-explorer-downloads click here to download Internet Explorer 11])
Line 74: Line 76:
  
 
===Operating System===
 
===Operating System===
Additionally, all computers running Keystone 3.5 must be running one of the following Microsoft operating systems:
+
Additionally, all computers running Keystone 3.6 must be running one of the following Microsoft operating systems:
 
* Windows 7 with SP1  
 
* Windows 7 with SP1  
 
* Windows 8  
 
* Windows 8  
 
* Windows 8.1 Update
 
* Windows 8.1 Update
 
* Windows 10  
 
* Windows 10  
**<b>NOTE: Windows 10 S is NOT supported. (See below)</b>
+
**<b>NOTE: Windows 10 S is NOT supported.</b>
 
* Windows Server 2008
 
* Windows Server 2008
 
* Windows Server 2008 R2 with SP1
 
* Windows Server 2008 R2 with SP1
Line 85: Line 87:
 
* Windows Server 2012 R2
 
* Windows Server 2012 R2
 
* Windows Server 2016
 
* Windows Server 2016
 +
* Windows Server 2019
 
**<b>NOTE: Windows Server Essentials (formerly Small Business Server) is NOT supported.</b>
 
**<b>NOTE: Windows Server Essentials (formerly Small Business Server) is NOT supported.</b>
 
<i>Please contact your IT vendor if you need assistance with updating Windows operating systems.</i>
 
<i>Please contact your IT vendor if you need assistance with updating Windows operating systems.</i>
  
 
===InterBase===
 
===InterBase===
The supported versions of InterBase have not changed since Keystone 3.0 and are as follows:
+
The supported versions of InterBase are as follows:
 
* InterBase XE with Update 5 (build 10.0.5.595)  
 
* InterBase XE with Update 5 (build 10.0.5.595)  
 
* InterBase XE3 with Update 4 Hotfix 4 (build 11.0.4.828)
 
* InterBase XE3 with Update 4 Hotfix 4 (build 11.0.4.828)
 
* InterBase XE7 with Update 7 (build 12.0.7.384)
 
* InterBase XE7 with Update 7 (build 12.0.7.384)
 +
* InterBase 2017 with Update 3 (build 13.3.0.328)
 
<i>Please [http://www.givenhansco.com/contact.html contact us] if you need assistance with updating your InterBase version.</i>
 
<i>Please [http://www.givenhansco.com/contact.html contact us] if you need assistance with updating your InterBase version.</i>
  
Line 99: Line 103:
 
See [http://www.givenhansco.com/supporthardware.html Keystone Hardware Requirements at GivenHansco.com]
 
See [http://www.givenhansco.com/supporthardware.html Keystone Hardware Requirements at GivenHansco.com]
  
==Windows Server 2016==
+
==Windows Server 2016/2019==
  
Microsoft has released Windows Server 2016. Keystone relies on the InterBase database from a third-party vendor. This vendor is only certifying their current release of InterBase (XE7) for Windows Server 2016. Therefore, we urge you to contact our sales staff regarding the cost of upgrading your current InterBase version to XE7 when planning your future rollout of Windows Server 2016.
+
Keystone is fully supported on Windows Server 2016/2019. Keystone relies on the InterBase database from a third-party vendor. This vendor is only certifying their current releases of InterBase (XE7 & 2017) for Windows Server 2016/2019. Therefore, we urge you to contact our sales staff regarding the cost of upgrading your current InterBase version to 2017 when planning your rollout of Windows Server 2016/2019.
  
 
==Windows 10==
 
==Windows 10==
  
Current versions of Keystone run well on Windows 10.  In some cases the version of Interbase database software may need to be updated.
+
Keystone is fully supported on Windows 10.  In some cases the version of Interbase database software may need to be updated.
  
 
For multiuser systems where Interbase XE or higher is installed on a server there is no issue updating client computers to Windows 10.
 
For multiuser systems where Interbase XE or higher is installed on a server there is no issue updating client computers to Windows 10.
  
For stand-alone systems (or should the PC be used as a server) then the version of Interbase may need to be updated. Keystone relies on the InterBase database from a third-party vendor. This vendor is only certifying their current release of InterBase (XE7) for Windows 10. Therefore, we urge you to contact our sales staff regarding the cost of upgrading your current InterBase version to XE7 when planning your rollout of Windows 10.  
+
For stand-alone systems (or should the PC be used as a server) then the version of Interbase may need to be updated. Keystone relies on the InterBase database from a third-party vendor. This vendor is only certifying their current releases of InterBase (XE7 & 2017) for Windows 10. Therefore, we urge you to contact our sales staff regarding the cost of upgrading your current InterBase version to 2017 when planning your rollout of Windows 10.  
  
 +
<!--
 
Keep in mind that while Keystone works well under Windows 10, there may be other applications on your system that need to be evaluated. We recommend that you check with your other software vendors before upgrading to Windows 10.
 
Keep in mind that while Keystone works well under Windows 10, there may be other applications on your system that need to be evaluated. We recommend that you check with your other software vendors before upgrading to Windows 10.
 +
-->
  
 +
<!--
 
==Windows 10 S is not Compatible==
 
==Windows 10 S is not Compatible==
  
 
Microsoft has announced a new lightweight version of Windows called 10 S.  This is intended for very light weight systems that run limited applications and surf the internet.  It is '''not''' compatible with Keystone.  If your existing computer is running Keystone then you don't have Windows 10S so you're OK.
 
Microsoft has announced a new lightweight version of Windows called 10 S.  This is intended for very light weight systems that run limited applications and surf the internet.  It is '''not''' compatible with Keystone.  If your existing computer is running Keystone then you don't have Windows 10S so you're OK.
 
+
-->
  
 
Please contact GivenHansco support any time you plan to upgrade equipment for advice and compatibility review.
 
Please contact GivenHansco support any time you plan to upgrade equipment for advice and compatibility review.

Latest revision as of 12:35, 30 August 2019


KeystoneBanner.gif
Blog
Contact Us
A/R Inventory A/P G/L P/R Quote Cash J/C Tickets Dispatch

Software Updates

Latest Release 3.6 (8/30/2019)

Keystone 3.6 uses more database connections than previous releases. If you receive an error message saying "No pooled database connections available" please contact support for assistance.

NOTE: This version requires Windows 7/Windows Server 2008 or higher -and- InterBase XE Update 5 or higher. If your system does not meet these requirements, please inform GivenHansco support immediately so that we can place an update hold preventing accidental installation of the update.

Keystone 3.6 is here!

Please read below for updated system requirements for Keystone 3.6.

Web Browser

Keystone Dispatch 3.6 requires a modern web browser to function properly. All computers running Keystone Dispatch must have one of the following web browsers installed:

Please contact your IT vendor if you need assistance with updating your web browser.

Operating System

Additionally, all computers running Keystone 3.6 must be running one of the following Microsoft operating systems:

  • Windows 7 with SP1
  • Windows 8
  • Windows 8.1 Update
  • Windows 10
    • NOTE: Windows 10 S is NOT supported.
  • Windows Server 2008
  • Windows Server 2008 R2 with SP1
  • Windows Server 2012
  • Windows Server 2012 R2
  • Windows Server 2016
  • Windows Server 2019
    • NOTE: Windows Server Essentials (formerly Small Business Server) is NOT supported.

Please contact your IT vendor if you need assistance with updating Windows operating systems.

InterBase

The supported versions of InterBase are as follows:

  • InterBase XE with Update 5 (build 10.0.5.595)
  • InterBase XE3 with Update 4 Hotfix 4 (build 11.0.4.828)
  • InterBase XE7 with Update 7 (build 12.0.7.384)
  • InterBase 2017 with Update 3 (build 13.3.0.328)

Please contact us if you need assistance with updating your InterBase version.

IT Alerts

See Keystone Hardware Requirements at GivenHansco.com

Windows Server 2016/2019

Keystone is fully supported on Windows Server 2016/2019. Keystone relies on the InterBase database from a third-party vendor. This vendor is only certifying their current releases of InterBase (XE7 & 2017) for Windows Server 2016/2019. Therefore, we urge you to contact our sales staff regarding the cost of upgrading your current InterBase version to 2017 when planning your rollout of Windows Server 2016/2019.

Windows 10

Keystone is fully supported on Windows 10. In some cases the version of Interbase database software may need to be updated.

For multiuser systems where Interbase XE or higher is installed on a server there is no issue updating client computers to Windows 10.

For stand-alone systems (or should the PC be used as a server) then the version of Interbase may need to be updated. Keystone relies on the InterBase database from a third-party vendor. This vendor is only certifying their current releases of InterBase (XE7 & 2017) for Windows 10. Therefore, we urge you to contact our sales staff regarding the cost of upgrading your current InterBase version to 2017 when planning your rollout of Windows 10.


Please contact GivenHansco support any time you plan to upgrade equipment for advice and compatibility review.


What's New

New Help Topics

HOWTOs and Best Practices

How To

KEYSTONE Applications

Billing & Accounts Receivable

Inventory

Accounts Payable

General Ledger

Payroll

Quote System

Cash Management

Job Cost

Ticket Printing

Keystone Dispatch